##### 7.7.5.0. engine

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  engine(I,i); I ideal/module/matrix, i an int

Return:
  the same type as I

Purpose:
  compute the Groebner basis of I with the algorithm, chosen via i

Note:
  By default and if i=0, slimgb is used; otherwise std does the job.

Example:

    LIB "dmodapp.lib";
    ring r = 0,(x,y),Dp;
    ideal I  = y*(x3-y2),x*(x3-y2);
    engine(I,0); // uses slimgb
    ==> _[1]=x3y-y3
    ==> _[2]=x4-xy2
    engine(I,1); // uses std
    ==> _[1]=x3y-y3
    ==> _[2]=x4-xy2

User manual for Singular version 4-0-3, 2016, generated by texi2html.